Guard Paros:
The waterfall descends from the Lost Plateau, higher than the clouds. It is the highest waterfall on the continent, legend says that it was made by the power of gods... The legend also says that the nest of a vicious creature is hidden inside the waterfall.
The creature masquerades in human form and devours unsuspecting passersby... A few years ago a search party entered the waterfall looking for a missing person and only one, a Cleric, returned. He too, expired shortly afterward, saying 'zahak' before dying ...
I have no idea what that means... Possibly the monster's name? Anyway after hearing that word many Magisters went pale. But the Grand Magister whispered something to them and they all kept quiet.
Return